package cz.muni.fi.pv168.swingexample;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.TextField;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JTextField;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

public class SwingExample2 {

    public static void main(String[] args) {

        EventQueue.invokeLater(() -> {
            JFrame frame = new JFrame("Samuels SuperApplication");
            frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

            JTextField textField = new JTextField();

            JButton helloButton = new JButton("Hello");

            helloButton.addActionListener(e -> JOptionPane.showMessageDialog(
                    frame,
                    "Hello " + textField.getText(),
                    "Hello Message",
                    JOptionPane.INFORMATION_MESSAGE
            ));

            textField.getDocument().addDocumentListener(new DocumentListener() {
                public void changedUpdate(DocumentEvent e) {
                    update(e);
                }

                public void removeUpdate(DocumentEvent e) {
                    update(e);
                }

                public void insertUpdate(DocumentEvent e) {
                    update(e);
                }

                private void update(DocumentEvent e) {
                    helloButton.setText("Hello " + textField.getText());
                }
            });
            
            frame.add(textField);

            frame.add(helloButton, BorderLayout.SOUTH);
            //frame.add(new JButton("NORTH"), BorderLayout.NORTH);
//            frame.add(new JButton("SOUTH"), BorderLayout.SOUTH);
//            frame.add(new JButton("EAST"), BorderLayout.EAST);
//            frame.add(new JButton("WEST"), BorderLayout.WEST);
//            frame.add(new JButton("CENTER"), BorderLayout.CENTER);

            frame.pack();

            frame.setVisible(
                    true);
        });

    }

}
